Author Topic: Targus Keyb With Oz 3.5.4  (Read 2034 times)

iits

  • Newbie
  • *
  • Posts: 26
    • View Profile
Targus Keyb With Oz 3.5.4
« on: March 19, 2006, 06:55:32 pm »
Hi,
I use a Z5600 and a Targus IR-Keyboard.
after I flashed to OZ 3.5.4 I tried to install irk-targus from the feed.
While the install-process he sayd that he install the irk-belkin file and afterwards the package manager show that the irk-belkin file ist installed and not the irk-targus. And in the IRK-Config he also show just belkin and pocketop keyboards.
I also tried to download the file and to install it from sd card, but this also doesn't work.
Before I used the watapon ROM, and the keyboard worked fine and also with my old 5500 and OZ 3.5.4
So I tryed with an IRK that worked with 3.5.4. this file shows me a targus keyb but when i'm typing nothing happened.

Do I need something else or is there just the wrong file in the feed?

Hrw

  • Hero Member
  • *****
  • Posts: 1366
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #1 on: March 20, 2006, 02:43:28 am »
hmm. looks like again we have fscked irk packages..

easiest workaround: fetch irk-targus package to card, reboot (so ipkg will forgot about feeds contains) and install it.

I'll try to fix them.

BTW: someone has spare Ir keyboard? IRK situation is like is because noone tested it before release due to lack of any ir keyboard.
OpenZaurus 3.5.4x Release Manager
OpenEmbedded, Ångström, Poky developer
My website

Misc embedded hardware.

iits

  • Newbie
  • *
  • Posts: 26
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #2 on: March 20, 2006, 01:56:17 pm »
Hmmm, its still don't work.
The zauri shows now the right keyboard but it doesn't reacting on keypressing.
does the tool work over a tty port? perhaps it conflics with bluetooth modules

iits

  • Newbie
  • *
  • Posts: 26
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #3 on: March 20, 2006, 02:57:34 pm »
ok, i fond the problem.
the IR-Keyboard conflicts with irattach
when i stop irattach it runs wonderfull. they run both on /dev/ttyS1 is it possible to run one on an other tty?
I try to configure irattach in /etc/sysconfig/irda to ttyS0 and ttyS2 but this doesn't help

Da_Blitz

  • Hero Member
  • *****
  • Posts: 1579
    • View Profile
    • http://www.pocketnix.org
Targus Keyb With Oz 3.5.4
« Reply #4 on: March 21, 2006, 05:32:44 am »
Try zkbdd, its much easier to use IMHO and supports several keyboards, and works on the command line

see http://kopsisengineering.com/kopsis/ZkbddD...ght=%28zkbdd%29
to find the other pages you have to do a search
Personal Blog
Code
Twitter

Gemini Order: #95 (roughly)
Current Device: Samsung Chromebook Gen 3
Current Arm Devices Count: ~30
Looking to acquire: Cavium Thunder X2 Hardware

Hrw

  • Hero Member
  • *****
  • Posts: 1366
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #5 on: March 21, 2006, 06:46:34 am »
zkbdd is not in OE yet (will add it on days)
OpenZaurus 3.5.4x Release Manager
OpenEmbedded, Ångström, Poky developer
My website

Misc embedded hardware.

samac

  • Full Member
  • ***
  • Posts: 124
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #6 on: March 21, 2006, 07:20:14 am »
Hi I would like to confirm that IRK-BELKIN works for the pockettop keyboard with opie version of 3.5.4.

However irk-belkin is found at the feed for irk-targus and vice versa.

I installed via command line with
Code: [Select]
ipkg -d sd install irk-targus note wrong feed name.

Then
Code: [Select]
ipkg-link add irk-belkin
Then restarted opie.

The icon appeared, I configured for the pockettop keyboard, and it worked. I did not have to play with irattach, though I did turn the applet off on the panel before installing irk-belkin.

Samac
Zaurus SL5500
Hentges 1.0.x
64mb CF card
256mb SD card
Pocket-top Keyboard
Slackware 11.0 (2.6.17.13)

Hrw

  • Hero Member
  • *****
  • Posts: 1366
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #7 on: March 21, 2006, 09:42:28 am »
I can provide kbdd and zkbdd for testing.
OpenZaurus 3.5.4x Release Manager
OpenEmbedded, Ångström, Poky developer
My website

Misc embedded hardware.

phisch

  • Newbie
  • *
  • Posts: 28
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #8 on: April 30, 2006, 03:27:56 pm »
Quote
I can provide kbdd and zkbdd for testing.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=119590\"][{POST_SNAPBACK}][/a][/div]

I'm willing to test on my poodle.  Never have gotton irk (of any flavor) to work under OZ with my Belkin keboard.
Thanks.
-Phil
SL-5600
Watapon 1.6.1

Hrw

  • Hero Member
  • *****
  • Posts: 1366
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #9 on: April 30, 2006, 05:29:18 pm »
My collie with irk-belkin works with Belkin F8U1500-T keyboard which I got from one of users.
OpenZaurus 3.5.4x Release Manager
OpenEmbedded, Ångström, Poky developer
My website

Misc embedded hardware.

darmou

  • Jr. Member
  • **
  • Posts: 62
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #10 on: May 05, 2006, 10:23:32 am »
I'm really interested in this because I've heard that the pocketop I use is suported by zkbdd .

Is it in oz yet?

Is there a testing ipk anywhere?

darmou

Hrw

  • Hero Member
  • *****
  • Posts: 1366
    • View Profile
Targus Keyb With Oz 3.5.4
« Reply #11 on: May 05, 2006, 01:46:02 pm »
http://ewi546.ewi.utwente.nl/tmp/hrw/3.5.4x-experimental/ contain my packages which are not part of OZ 3.5.4x but should work under it. If someone use them and get them then please give info.

no support at all
OpenZaurus 3.5.4x Release Manager
OpenEmbedded, Ångström, Poky developer
My website

Misc embedded hardware.

natarttchmus

  • Newbie
  • *
  • Posts: 3
    • View Profile
    • http://
Targus Keyb With Oz 3.5.4
« Reply #12 on: July 30, 2006, 10:25:33 pm »
I have a 5600 with a Targus keyboard and OZ 3.5.4.  I installed irk-targus, and it worked great.  But a little later, something hanged, and after I rebooted, I could not get irk-targus to work anymore.  I removed and reinstalled the package, but it still doesn't work.  I killed irattach and still couldn't get it working.  Any hints?  Thanks.
Sharp Zaurus SL-5600
OpenZaurus 3.5.3,  Opie 1.2